(function() {
  'use strict';

  var loadedAt = Date.now();
  var board1, board2;
//
  var coords = {
    'ended_benefits': 66,
    'ended_costs': 213,
    'ended_alternatives': 361,
    'ended_investment': 508,
    'successful_benefits': 103,
    'successful_costs': 250,
    'successful_alternatives': 398,
    'successful_investment': 545
  };

//  var results = {
//    'practice trial': 1,
//    'practice trial-say': 5,
//    'unanimous group': 4,
//    'unanimous group-say': 1,
//    'dissenter present': 4,
//    'dissenter present-say': 1,
//    'dissenter present-say2': 1,
//    'dissenter present-say3': 1
//  };

//  var $showResult = $( '.show-results' );
//  var $trialAnswer = $( '.trial-answer' );
//
//  var GRAPH_COLOR = '#C0504D';
//  var GRAPH_COLOR_2 = '#4F81BD';
//  var STROKE_COLOR = '#6d6d6d';
//  var TEXT_COLOR = 'rgb(102,102,102)';
//


  var BOTTOM_BORDER = 381;
  var TOP_BORDER = 1;
  var WIDTH_OF_BAR = 37;


  // Update graph
  var updateGraph = function( data ) {
    Object.keys( coords ).forEach( function( key ){
      setBar( document.querySelector( 'polygon.' + key ), coords[key], data[key] );
      if (document.querySelectorAll( 'polygon.' + key )[1]) {
        setBar( document.querySelectorAll( 'polygon.' + key )[1], coords[key], data[key] );
      }
      //setText( document.querySelector( '.text_labels_y.' + key ), data[key] );
    } );
    //console.log(data);
    var alt_text = "Your results: Graph rating for Ended relationship benefits equals " + data.ended_benefits + ", costs equals " + data.ended_costs + ", alternatives equals " + data.ended_alternatives + ", investment equals " + data.ended_investment +  "Graph rating for Successful relationship benefits equals " + data.successful_benefits + ", costs equals " + data.successful_costs + ", alternatives equals " + data.successful_alternatives + ", investment equals " + data.successful_investment;
    var content = $('#student-result-img').attr('alt', alt_text);
    /*
     console.log("alt_text = " + alt_text);
     console.log("content");
     console.log(content);
     console.log(content.value);
     */
    content.value = alt_text;
  };

  var setText = function( node, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    node.textContent = value.toFixed(2);
    node.style.top = ( BOTTOM_BORDER - height ) - 22;
  };

  var setBar = function( node, coord, value ) {
    var height = Math.round( value / 10 * ( BOTTOM_BORDER - TOP_BORDER ) );

    var points = [ coord + ',' + BOTTOM_BORDER,
      coord + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + ( BOTTOM_BORDER - height ),
      ( coord + WIDTH_OF_BAR ) + ',' + BOTTOM_BORDER ];

    node.setAttribute( 'points', points.join(' ') );
  };


  // Update graph
//  var updateGraph = function( node, max, data ) {
//    var board = ( node === 'G2Dbox1') ? board1 : board2;
//    var answers;
//    if ( data ) {
//      answers = data;
//    }
//    else {
//      answers = results;
//    }
//    var axisX, axisY;
//
//    if ( board ) {
//      G2D.G2DGraph.freeBoard( board );
//    }
//
//    // Init graph
//    board = G2D.G2DGraph.initBoard( node, { boundingbox: [-0.3, 10, 16, -0.5], showCopyright: false, showNavigation: true } );
//    board.suspendUpdate();
//
//    var f = [];
//    // Create axis
//    axisY = board.createElement( 'line', [
//      [0, 0],
//      [0, 1]
//    ], { fixed: true, strokeColor: 'white', strokeWidth: 0, highlight: false } );
//    axisX = board.createElement( 'line', [
//      [0, 0],
//      [1, 0]
//    ], { fixed: true, strokeColor: STROKE_COLOR, strokeWidth: 1, highlight: false } );
//
//    // Create ticks
//    board.create( 'ticks', [axisY], { fixed: true, opacity: 0.5, minorTicks: 0, ticksDistance: 1, majorHeight: 6, drawLabels: false, highlight: false, tickEndings: [0, 250], strokeWidth: 1, strokeColor: STROKE_COLOR } );
//
//    var namesColumn = ['Benefits','Costs','Alternatives','Invesment'];
//
//    Object.keys( answers ).forEach( function( key, i ) {
//      f.push( answers[key ] );
//      //board.create( 'text', [i + 2, 0, key], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//    } );
//
//
//    for( i =0; i<4; i++){
//      board.create( 'text', [i*4 + 2.5, 0, namesColumn[i]], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//    }
//
//    var j = 0;
//    for ( var k = 0; k < f.length; k++ ) {
//      if ( k > 1 && k < 4 ) {
//        j = 1;
//      }
//      else if ( k > 3 ) {
//        j = 2;
//      }
//      // board.create( 'text', [k + 2 + j, f[k] + 2, f[k]+'%'], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels_y", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//
//    }
//
//    for ( j = 0; j < 10; j++ ) {
//      board.create( 'text', [-0.12, j * 10, j * 10], { fixed: true, highlight: false, highlightCssClass: "text_labels", cssClass: "text_labels_y", anchorX: "middle", color: TEXT_COLOR, fontSize: 14 } );
//    }
//
//    var f_blue = [], f_red = [];
//    f_red.push( 0 );
//    f_blue.push( 0 );
//    for ( var i = 0; i < 8; i = i + 2 ) {
//      f_red.push( f[i] );
//      f_red.push( 0 );
//      f_red.push( 0 );
//      f_red.push( 0 );
//      f_blue.push( 0 );
//      f_blue.push( f[i + 1] );
//      f_blue.push( 0 );
//      f_blue.push( 0 );
//    }
//    // Create chart
//    board.createElement( 'chart', [f_blue], { fixed: false, chartStyle: 'bar', width: 1, color: GRAPH_COLOR, fillOpacity: 1 } );
//    board.createElement( 'chart', [f_red], { fixed: true, chartStyle: 'bar', width: 1, color: GRAPH_COLOR_2, fillOpacity: 1 } );
//
//    board.unsuspendUpdate();
//  };

  function isBecomingVisible() {
    if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null && window.parent.player.experiment.lastUpdated > loadedAt ) {
      updateGraph( window.parent.player.experiment.results );
      $('#G2Dbox1' ).show();
      $('.no-results' ).hide();
    }
  }

  if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null  ) {
    updateGraph( window.parent.player.experiment.results );
    $('#G2Dbox1' ).show();
    $('.no-results' ).hide();
  }
  //updateGraph( 'G2Dbox2' );
  window.isBecomingVisible = isBecomingVisible;


})();