/**
 * Graphs factory. Accepts information
 *
 * @param appContainer
 * @param settings
 * @param results
 * 
 * @constructor
 */
var Graph = function(appContainer,settings,results){
    //Choose the corresponding graph class depending on graph type from XML
    if (settings.general.type=="BAR") {
        //Draw a graph with merged configuration (settings for particular graph + static data)
        barGraph = new BarGraph(appContainer,settings,results);
    } else if (settings.general.type=="LINE") {
        lineGraph = new LineGraph(appContainer,settings,results);
    }
}


