NORMATIVE_SOCIAL_INFLUENCE = true;
NORMATIVE_SOCIAL_INFLUENCE_NAME_ENTERED = false;

webpackJsonp([3], {

/***/ 16:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(28);

var ConcretePlayer = __webpack_require__(1);
var ConcreteAct = __webpack_require__(7);
var Standard_Dialog = __webpack_require__( 3 );
var platform = __webpack_require__(0).run_on;

var Activity_ch7 = ConcreteAct.extend({

    restore_saved_answers: function() {
        this._super();
        safe_log("restore_saved_answers");

        var fb;
        
        for (var i = 1; i < this.questions.length; ++i) {
	    var $question = $("[data-question_index=" + i + "]");
            var $feedback = $question.find(".query_mc_feedback_correct_incorrect");
            if ($feedback.length > 0) {
                fb = $feedback.html();
            }

            if (fb !== "Correct!") {
                var $fb_head = $question.find(".question_feedback_head");
                $fb_head.after('<div class="question_feedback_part">' + fb + '<span class="visually-hidden"> Go through the answer to find out the correct one. </span></div>');
            }
        }

        
    },
    
  update_question_action_div: function (question_index) {
    this._super(question_index);

    var question = this.questions[question_index];
    var jq = $('#question_action_div_' + question.index);

    if (jq.find('.question_feedback').length > 0) {
      // calculate points_awarded and points_possible
      var points_awarded = 0;
      var points_possible = 0;
      var points_provisional = false;
      for (var i = 0; i < question.queries.length; ++i) {
        var query = question.queries[i];
        points_awarded += query.getPointsAwarded();
        points_possible += query.getPointsPossible();
        if (query.pointsAreProvisional() == true) {
          points_provisional = true;
        }
      }

      // round to at most two decimal places
      points_awarded = Math.round(points_awarded * 100) / 100;
      points_possible = Math.round(points_possible * 100) / 100;

      jq.find('.question_submit_button').hide();
      var points_html = '<div class=\'points_awarded_div\'>'
          + 'Points awarded: ' + points_awarded + ' out of ' + points_possible;

      if (points_provisional) {
        points_html += ' (<a href=\'javascript:player.activity.explain_provisional()\'>provisional</a>)';
      }
      points_html += '</div>';

      var jq = $('#question_action_div_' + question.index ); // .attr({'tabindex': 0});
      jq.find('.points_awarded_div').remove();
      var textFB = jq.prevAll('[data-type="query"]').find('.query_mc_feedback_correct_incorrect').text();

        safe_log("update_question_action_div: " + question.index);
        
      var fb = jq.find('.question_feedback_part').html();
      var replacedText = jq.find('.question_feedback_part').html().replace(/Incorrect\.|Correct!/, textFB);
      jq.find('.question_feedback_part').html(replacedText);
      if (!fb.match(/Correct!/)) {
        jq.find('.question_feedback_part').after('<div class="question_feedback_part">' + fb + '</div>');
      }
        
      if (jq.find('.question_feedback').length > 0) {
        jq.find('.question_feedback').after(points_html);
      }
      else {
        jq.prepend(points_html);
      }
      jq[0].focus();
    }
  }
});
var Player_ch7 = ConcretePlayer.extend({

    tab_selected: function (event, ui) {

        // we don't actually use event;
        // it's just there because it's part of the standard jquery ui fn prototype
        player.prev_section = player.section_currently_showing;

        var section_to_show = ui.index;
        // if user has to view sections in sequence and hasn't gotten up to this one, don't allow it
        if (player.md.sequenced_sections == 'true' && section_to_show > player.last_available_section) {
            //safe_log("jumping pages");
            if (player.ARGA_running) {
                //safe_log("ARGA is running");
                if (!player.activity.is_instructor()) {
                    var mesg = player.md.section_sequence_message;
                    if (player.last_available_section == player.EXPERIMENT_SEC_NUM &&
                        ui.index == player.EXPERIMENT_SEC_NUM + 1) {
                        mesg = "You must complete the experiment before moving to the next section.";
                    }

                    //console.log('tab_selected(1)');
                    Standard_Dialog.open(mesg, {
                        title: 'Alert'
                    });

                    if (platform.firefox) {
                        $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').removeAttr('aria-labelledby');
                    }

                    if (platform.android) {
                        for (var i = 0; i <= 3; i++) {
                            setTimeout(function () {
                                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                            }, 100);
                        }
                    }
                    else {
                        if (!platform.firefox) {
                            for (var i = 0; i <= 3; i++) {
                                setTimeout(function () {
                                    $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
                                }, 100);
                            }
                        }
                        else {
                            setTimeout(function () {
                                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                            }, 100);
                            setTimeout(function () {
                                // player.shadow_speech.talk(glossaryText);
                            }, 110);
                        }
                    }

                    //safe_log("returning false");
                    return false;
                }
            }
        }

        // Check to make sure student entered name.
        /*
        if (section_to_show == 2) {

            safe_log("section_to_show == 2");
            safe_log("LASX = " + player.last_available_section);

            // we only need to do this check if they are doing the
            // experiment for the first time
            if (player.last_available_section == 2) {
                var available = false;
                var $instructionNextButton = $('#digfir_section_1 .forw_button');

                try {
                    var classList = window.frames[0].$button[0].classList;
                }
                catch (e) {
                    classList = undefined;
                }

                if (classList !== undefined) {
                    for (var i = 0; i < classList.length; i++) {
                        console.log(classList[i]);
                        if (classList[i] === 'disabled') {
                            available = true;
                        }
                    }
                }

                if (!available) {
                    var $focusedElem = $('*:focus');

                    Standard_Dialog.open('<p style=\"text-align: center;\">'
                        + 'Please enter your name in the box on Instructions tab.</p>', { 'title': 'Alert', 'width': 450, 'from': $focusedElem.length ? $focusedElem : $instructionNextButton });

                    player.nextSetionIsNotAvailable = true;
                    setTimeout(function () {
                        if (!$instructionNextButton.is(':visible')) {
                            $instructionNextButton.show();

                            if (platform.ios) {
                                player.$currentDialogOkButton = $('.ui-dialog:visible button');
                                player.$currentDialogOkButton.bind('click', player.setIOSVOtFocusToInstructionNextBtn.bind(player));
                            }
                        }
                    }, 0);

                    return false;
                }
                else {
                    player.nextSetionIsNotAvailable = false;
                }
            } // end if player.last_available_section == 2
            else {
                player.nextSetionIsNotAvailable = false;
            }
        } // end if section_to_show == 2
        */

        // brb: we only need to do these checks if activity has not
        // been completed
        if (!player.ACTIVITY_COMPLETED) {

            // brb: hack to force user to do experiment
            if (player.last_available_section <= player.EXPERIMENT_SEC_NUM) {
                player.experiment_closed = false;
            }

            if (player.experiment_closed) {
                if (!player.experiment.results && ui.index > player.experiment_section) {

                    //console.log('tab_selected(2)');

                    Standard_Dialog.open('You must complete the experiment before moving to the next section.', {
                        title: 'Alert'
                    });
                    if (platform.firefox) {
                        $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').removeAttr('aria-labelledby');
                    }

                    if (platform.android) {
                        for (var i = 0; i <= 3; i++) {
                            setTimeout(function () {
                                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                            }, 100);
                        }
                    }
                    else {
                        if (!platform.firefox) {
                            for (var i = 0; i <= 3; i++) {
                                setTimeout(function () {
                                    $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
                                }, 100);
                            }
                        }
                        else {
                            setTimeout(function () {
                                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                            }, 100);
                            setTimeout(function () {
                                // player.shadow_speech.talk(glossaryText);
                            }, 110);
                        }
                    }

                    //safe_log("returning 1");
                    return;
                }
            }
            else if (ui.index > player.experiment_section || ui.index > player.last_available_section) {

                //console.log('tab_selected(3)');
                //console.log('ui.index = ' + ui.index);

                Standard_Dialog.open('You must complete the experiment before moving to the next section.', {
                    title: 'Alert'
                });
                if (platform.firefox) {
                    $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').removeAttr('aria-labelledby');
                }


                if (platform.android) {
                    for (var i = 0; i <= 3; i++) {
                        setTimeout(function () {
                            $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                        }, 100);
                    }
                }
                else {
                    if (!platform.firefox) {
                        for (var i = 0; i <= 3; i++) {
                            setTimeout(function () {
                                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
                            }, 100);
                        }
                    }
                    else {
                        setTimeout(function () {
                            $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                        }, 100);
                        setTimeout(function () {
                            // player.shadow_speech.talk(glossaryText);
                        }, 110);
                    }
                }

                //safe_log("returning 2");
                return;
            }
        } // end if(ACTIVITY_COMPLETED)

        //var section_to_show = ui.index;
        if (section_to_show === player.experiment_section) {
            if (!player.experiment_closed) {
                $('.forw_button').hide();
            }
            else if (!player.experiment.results) {
                $('.forw_button').hide();
            }
            else {
                $('.forw_button').show();
            }
        }
        else {
            $('.forw_button').show();
        }

        player.section_currently_showing = section_to_show;

        // process iframes for the section, unless all were preloaded
        if (player.md.preload_all_iframes != 'true') {
            player.figures.process_iframes(player.get_current_section().jq); // iframes
        }

        player.update_section_status();
        player.update_navigation();
        window.scrollTo(0, 0);

        player.figures.notify_iframes(player.get_current_section().jq);

        for (var i = 0; i <= player.experiment_section; i++) {
            setTimeout(function () {
                $('.ui-state-default.ui-corner-top.ui-tabs-selected.ui-state-active a').focus();
            }, 100);
        }

        for (var i = 0; i <= player.experiment_section; i++) {
            setTimeout(function () {
                $(ui.tab.parentNode).focus();
            }, 100);
        }


        if (ui.tab.innerText.toLowerCase() !== 'experiment setup') {
            try {
                parent.PX.API.Content.ResetHeight()
            }
            catch (e) {

            }
        }

    }, // end tab_selected

    tab_selected_old2: function ( event, ui ) {

      safe_log("Player_ch7.tab_selected: ui.index = " + ui.index);
      safe_log("last_available_section = " + player.last_available_section);

      // we don't actually use event;
      // it's just there because it's part of the standard jquery ui fn prototype
      player.prev_section = player.section_currently_showing;

      var section_to_show = ui.index;
      // if user has to view sections in sequence and hasn't gotten up to this one, don't allow it
      if ( player.md.sequenced_sections == 'true' && section_to_show > player.last_available_section ) {
        safe_log("jumping pages");
        if ( player.ARGA_running ) {
          safe_log("ARGA is running");
          if (!player.activity.is_instructor()) {
            var mesg = player.md.section_sequence_message;
            if (player.last_available_section == player.EXPERIMENT_SEC_NUM &&
                ui.index == player.EXPERIMENT_SEC_NUM + 1) {
              mesg = "You must complete the experiment before moving to the next section.";
            }

            safe_log("not an instructor");
            Standard_Dialog.open( mesg, {
              title: 'Alert'
            });
            if (platform.firefox) {
              $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').removeAttr('aria-labelledby');
            }
            if (platform.android) {
              for (var i = 0; i <= 3; i++) {
                setTimeout(function () {
                  $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                }, 100);
              }
            }
            else {
              if (!platform.firefox) {
                for (var i = 0; i <= 3; i++) {
                  setTimeout(function () {
                    $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
                  }, 100);
                }
              }
              else {
                setTimeout(function () {
                  $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
                }, 100);
                setTimeout(function () {
                  // player.shadow_speech.talk(glossaryText);
                }, 110);
              }
            }
            safe_log("returning false");
            return false;
          }
        }
      }


        // Check to make sure student entered name.
        /*
        if (section_to_show == 2) {

            safe_log("section_to_show == 2");
            safe_log("LASX = " + player.last_available_section);

            // we only need to do this check if they are doing the
            // experiment for the first time
            if (player.last_available_section == 2) {
                var available = false;
                var $instructionNextButton = $('#digfir_section_1 .forw_button');
                
                try {
                    var classList = window.frames[0].$button[0].classList;
                }
                catch(e) {
                    classList = undefined;
                }

                if (classList !== undefined) {
                    for (var i = 0; i < classList.length; i++ ) {
                        console.log(classList[i]);
                        if ( classList[i] === 'disabled' ) {
                            available = true;
                        }
                    }
                }
                
                if (!available) {
                    var $focusedElem = $('*:focus');
                    
                    Standard_Dialog.open( '<p style=\"text-align: center;\">'
                                          + 'Please enter your name in the box on Instructions tab.</p>', {'title': 'Alert', 'width': 450, 'from': $focusedElem.length ? $focusedElem : $instructionNextButton} );
                    
                    player.nextSetionIsNotAvailable = true;
                    setTimeout(function () {
                        if (!$instructionNextButton.is(':visible')) {
                            $instructionNextButton.show();
                            
                            if (platform.ios) {
                                player.$currentDialogOkButton = $('.ui-dialog:visible button');
                                player.$currentDialogOkButton.bind('click', player.setIOSVOtFocusToInstructionNextBtn.bind(player));
                            }
                        }
                    }, 0);
                    
                    return false;
                }
                else {
                    player.nextSetionIsNotAvailable = false;
                }
            } // end if player.last_available_section == 2
            else {
                player.nextSetionIsNotAvailable = false;
            }
        } // end if section_to_show == 2
        */

    // brb: we only need to do these checks if activity has not
    // been completed
    if (!player.ACTIVITY_COMPLETED) {

      // brb: hack to force user to do experiment
      if (player.last_available_section <= player.EXPERIMENT_SEC_NUM) {
        player.experiment_closed = false;
      }

      if (player.experiment_closed) {
        if (!player.experiment.results && ui.index > player.experiment_section)  {
          Standard_Dialog.open('You must complete the experiment before moving to the next section.', {
            title: 'Alert'
          });
          if (platform.firefox) {
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').removeAttr('aria-labelledby');
          }
          if (platform.android) {
            for (var i = 0; i <= 3; i++) {
              setTimeout(function () {
                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
              }, 100);
            }
          }
          else {
            if (!platform.firefox) {
              for (var i = 0; i <= 3; i++) {
                setTimeout(function () {
                  $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
                }, 100);
              }
            }
            else {
              setTimeout(function () {
                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
              }, 100);
              setTimeout(function () {
                // player.shadow_speech.talk(glossaryText);
              }, 110);
            }
          }
          safe_log("returning 1");
          return;
        }
      }
      else if (ui.index > player.experiment_section || ui.index > player.last_available_section) {
        Standard_Dialog.open('You must complete the experiment before moving to the next section.', {
          title: 'Alert'
        });
        if (platform.firefox) {
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').removeAttr('aria-labelledby');
        }
        if (platform.android) {
          for (var i = 0; i <= 3; i++) {
            setTimeout(function () {
              $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
            }, 100);
          }
        }
        else {
          if (!platform.firefox) {
            for (var i = 0; i <= 3; i++) {
              setTimeout(function () {
                $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
              }, 100);
            }
          }
          else {
            setTimeout(function () {
              $('div.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').focus();
            }, 100);
            setTimeout(function () {
              // player.shadow_speech.talk(glossaryText);
            }, 110);
          }
        }
        safe_log("returning 2");
        return;
      }
    } // end if(ACTIVITY_COMPLETED)

      //var section_to_show = ui.index;
      if (section_to_show === player.experiment_section) {
        if (!player.experiment_closed) {
          $('.forw_button').hide();
        }
        else if (!player.experiment.results) {
          $('.forw_button').hide();
        }
        else {
          $('.forw_button').show();
        }
      }
      else {
        $('.forw_button').show();
      }

      player.section_currently_showing = section_to_show;

      // process iframes for the section, unless all were preloaded
      if ( player.md.preload_all_iframes != 'true' ) {
        player.figures.process_iframes( player.get_current_section().jq ); // iframes
      }

      player.update_section_status();
      player.update_navigation();
      window.scrollTo( 0, 0 );

      player.figures.notify_iframes( player.get_current_section().jq );

      for (var i = 0; i <= player.experiment_section; i++) {
        setTimeout(function () {
          $('.ui-state-default.ui-corner-top.ui-tabs-selected.ui-state-active a').focus();
        }, 100);
      }

      for (var i = 0; i <= player.experiment_section; i++) {
        setTimeout(function () {
          $(ui.tab.parentNode).focus();
        }, 100);
      }
//       if ( this.section_currently_showing !== null ) {
//         var jq = player.get_current_section_jq();
//         setTimeout(function () {
// jq && jq[0].focus();
// }, 100);
//       }
    },



  tab_selected_old: function ( event, ui ) {
    // we don't actually use event;
    // it's just there because it's part of the standard jquery ui fn prototype

    var section_to_show = ui.index;

    // if user has to view sections in sequence and hasn't gotten up to this one, don't allow it
    if ( player.md.sequenced_sections == 'true' && section_to_show > player.last_available_section ) {
      if ( this.ARGA_running ) {
        if ( ARGA.Get_ARGA_Data('user_rights') != '3_instructor' ) {
          alert( player.md.section_sequence_message );
          return false;
        }
      }
    }

    if ( section_to_show > 1 ) {
      var classList = window.frames[0].$button[0].classList,
          $instructionNextButton = $('#digfir_section_1 .forw_button');

      var available = false;
      for (var i = 0; i < classList.length; i++ ) {
        //console.log(classList[i]);
        if ( classList[i] === 'disabled' ) {
          available = true;
        }
      }
      if (!available) {
        var $focusedElem = $('*:focus');

        Standard_Dialog.open( '<p style=\"text-align: center;\">'
          + 'Please enter your name in the box on Instructions tab.</p>', {'title': 'Alert',
          'width': 450,
          'from': $('text-name')
        } );

        player.nextSetionIsNotAvailable = true;
        setTimeout(function () {
          if (!$instructionNextButton.is(':visible')) {
            $instructionNextButton.show();

            if (platform.ios) {
              player.$currentDialogOkButton = $('.ui-dialog:visible button');
              player.$currentDialogOkButton.bind('click', player.setIOSVOtFocusToInstructionNextBtn.bind(player));
            }
          }
        }, 0);

        return false;
      }
      else {
        player.nextSetionIsNotAvailable = false;
        this._super(event, ui);
      }
    }

    player.section_currently_showing = section_to_show;

    // process iframes for the section, unless all were preloaded
    if ( player.md.preload_all_iframes != 'true' ) {
      player.figures.process_iframes( player.get_current_section().jq );// iframes
    }

    player.update_section_status();
    player.update_navigation();
    window.scrollTo( 0, 0 );

    player.figures.notify_iframes( player.get_current_section().jq );

    var section_to_show = ui.index;
    if (section_to_show === player.experiment_section) {
      if (!player.experiment_closed) {
        $('.forw_button').hide();
      }
      else if (!player.experiment.results) {
        $('.forw_button').hide();
      }
      else {
        $('.forw_button').show();
      }
    }
    else {
      $('.forw_button').show();
    }
  },

  /*
   * set ios VO focus on next button in instruction tab, when we would close dialog window
   * after calling him by next button
   */
  setIOSVOtFocusToInstructionNextBtn: function () {
    $('#digfir_section_1 .forw_button').focus();
    this.$currentDialogOkButton.unbind('click', this.setIOSVOtFocusToInstructionNextBtn);
    this.$currentDialogOkButton = null;
  },

  show_section: function ( section_to_show ) {
    var needCheck = ( section_to_show === 'next' && this.section_currently_showing === 1 );

    if (section_to_show == 'previous') {
      section_to_show = this.section_currently_showing - 1;
    }
    else if (section_to_show == 'next') {
      section_to_show = this.section_currently_showing + 1;
    }

    if ( needCheck ) {
      var classList = window.frames[0].$button[0].classList;

      var available = false;
      for ( var i = 0; i < classList.length; i++ ) {
        if ( classList[i] === 'disabled' ) {
          available = true;
        }
      }
      if (!available) {
        window.Standard_Dialog.open( '<p style=\"text-align: center;\">'
          + 'Please enter your name in the box to the left.</p>', {'title': 'Please enter your name',
          'draggable': false,
          'width': 450,
          'buttons': [
            {text: 'OK', click: window.Standard_Dialog.close}
          ]
        } );
        return;
      }
    }

    if (section_to_show == null || isNaN(section_to_show)
      || section_to_show < 0 || section_to_show >= this.sections.length) {
      return;
    }

    // callling jquery ui's tabs() here will call tab_selected below,
    // which will take care of calling update_section_status and updating
    // the navigation (in this case, showing the right tab).
    player.tab_jq.tabs( 'select', section_to_show );

    // but for some reason tab_selected isn't running properly when we first start,
    // so make sure player.section_currently_showing got updated
    if (player.section_currently_showing != section_to_show) {
      player.section_currently_showing = section_to_show;
      // and call update_section_status in this case too
      player.update_section_status();
    }

    // process iframes for the section, unless all were preloaded
    if (player.md.preload_all_iframes != 'true') {
      this.figures.process_iframes(this.get_current_section().jq);// iframes
    }
    this._super(section_to_show);
  },
  initialize_sections: function () {
    this._super();
    setTimeout(function () {
      var $frames = [$('#digfir_section_1').find('iframe'), $('#digfir_section_3').find('iframe')];

      for (var i = 0; i < 2; i++) {
        var title = i ? 'Result' : 'Name instruction';
        $frames[i].attr('title', title);
        $frames[i].attr('focusable', 'false');
      }
    }, 10);
  },
  initialize: function () {
    this._super();
    this.activity = new Activity_ch7();

    $('#name-button').click(function () {
      $('#submit-name-aria').html('');
      var nameInput = $('#text-name').val();
      if (!(/\S/.test(nameInput))) {
        $('#submit-name-aria').html('Please enter a name.');
        return;
      }
      $('#submit-name-check-mark').css('display', 'block');
      $('#name-button').remove();
      $('#submit-name-aria').html('Your name has been successfully saved.');
      NORMATIVE_SOCIAL_INFLUENCE_NAME_ENTERED = true;
      //console.log('Setting NORMATIVE_SOCIAL_INFLUENCE_NAME_ENTERED to ' + NORMATIVE_SOCIAL_INFLUENCE_NAME_ENTERED);
      player.enableTab(2);
      setTimeout(function () {
        $('button.next_button').focus();
      }, 250);
    });


  },
  show_section: function (section_to_show) {
    this._super(section_to_show);
    if (this.section_currently_showing === 3) {
      //console.log(this.section_currently_showing);
      var $frames = [$('#digfir_section_1').find('iframe'), $('#digfir_section_3').find('iframe')];

      for (var i = 0; i < 2; i++) {
        var title = i ? 'Result' : 'Name instruction';
        $frames[i].attr('title', title);
        $frames[i].attr('focusable', 'false');
        $frames[i].attr('tabindex', '-1');
      }
    }
  }
} );

window.player = new Player_ch7();
window.player.experiment_section = 2;


/***/ }),

/***/ 28:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 49:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(16);


/***/ })

},[49]);
//# sourceMappingURL=soel_social_influence_2e.js.map
