(function() {
  'use strict';

  var loadedAt = Date.now();

  var updateResults = function () {

    var results = window.parent.player.experiment.results;

    console.log('results = ', results);
    console.log('predicts = ', predicts);

    if (results[0] === 1 || results[0] === 2) {
      var $conditionTd = $('.condition-td');
      var heading = 'Your Results';
      var predicts = [];
      var conditional_text = '';
      if (results[0] === 2) {
        conditional_text = 'Condition A in which the other eyewitness reported four black men robbed the store';
        predicts = [4, 1, 4, 1, 2];
      }
      else {
        conditional_text = 'Condition B in which the other eyewitness reported five Hispanic men robbed the store';
        predicts = [5, 4, 0, 2, 1];
      }
      $('#conditional').text(conditional_text);
      for (var i = 0; i < predicts.length; i++) {
        $('.predict-td-' + i).html(predicts[i]);
      }

      $conditionTd.html(heading);
      $('.prediction-' + results[0]).hide();

      for (var i = 1; i <= 5; i++) {
        var result = results[i];
        if (i === 1 && result === '0') {
          result = '10';
        }
        //$('.answer-td-' + i).html(results[i] === '0' ? '10' : results[i]);
        $('.answer-td-' + i).html(result);
      }
    }
    else {
      console.log('Results is not found.');
    }
  };

  var isBecomingVisible = function () {
    if ( window.parent.player.experiment && window.parent.player.experiment.lastUpdated !== null
      && window.parent.player.experiment.lastUpdated > loadedAt ) {
      $('.results' ).show();
      updateResults();
    }
  };

  $('.results' ).hide();
  window.isBecomingVisible = isBecomingVisible;
})();
